<?php
namespace admin\controls;

class Newsletter {

  public function getContentEmails()
  {    
    $rw = \System::formGet( 'rw' );
    
    if ( $rw == 'del' && \admin\factory\Newsletter::deleteEmail( \System::formGetInt( 'id' ) ) )
      \System::setAlert( 'Wybrany email został usunięty.' );

    if ( $rw == 'add' )
      return \admin\view\Newsletter::editEmail();
    
    if ( $rw == 'edit' )
      return \admin\view\Newsletter::editEmail( \System::formGetInt( 'id' ) );
    
    return \admin\view\Newsletter::showEmailList();
  }
}
